"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConversationEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const message_entity_1 = require("./message.entity");
const conversation_member_entity_1 = require("./conversation_member.entity");
let ConversationEntity = class ConversationEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], ConversationEntity.prototype, "conversation_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], ConversationEntity.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], ConversationEntity.prototype, "avatar", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(() => message_entity_1.MessageEntity, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'last_message_id',
    }),
    __metadata("design:type", message_entity_1.MessageEntity)
], ConversationEntity.prototype, "last_message", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'timestamp',
        nullable: true,
    }),
    __metadata("design:type", Date)
], ConversationEntity.prototype, "last_activity", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        array: true,
        default: [],
        nullable: true,
    }),
    __metadata("design:type", Array)
], ConversationEntity.prototype, "members", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], ConversationEntity.prototype, "background", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "no_of_member", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "no_of_pinned", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "no_of_image", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "no_of_video", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "no_of_file", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "no_of_link", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "no_of_audio", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], ConversationEntity.prototype, "link_join", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "message_pinned_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_user_remove", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_update_profile", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_create_reminder", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_create_vote", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_confirm_new_member", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_highlight_message_admin", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_view_old_message_with_new_member", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 1,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_join_with_link", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "is_send_message", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 1,
        nullable: true,
    }),
    __metadata("design:type", Number)
], ConversationEntity.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => conversation_member_entity_1.ConversationMemberEntity, (conversationMember) => conversationMember.conversation),
    __metadata("design:type", Array)
], ConversationEntity.prototype, "conversation_member", void 0);
ConversationEntity = __decorate([
    (0, typeorm_1.Entity)('conversation')
], ConversationEntity);
exports.ConversationEntity = ConversationEntity;
//# sourceMappingURL=conversation.entity.js.map