"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var PostEntity_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const branch_entity_1 = require("./branch.entity");
const brand_entity_1 = require("./brand.entity");
const restaurant_entity_1 = require("./restaurant.entity");
const user_entity_1 = require("./user.entity");
let PostEntity = PostEntity_1 = class PostEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)("identity", {
        type: "bigint",
    }),
    __metadata("design:type", String)
], PostEntity.prototype, "post_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: "user_id",
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], PostEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "is_review", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "auto_post_type", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => branch_entity_1.BranchEntity, (branch) => branch.branch_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: "branch_id",
    }),
    __metadata("design:type", branch_entity_1.BranchEntity)
], PostEntity.prototype, "branch", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => brand_entity_1.BrandEntity, (brand) => brand.brand_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: "brand_id",
    }),
    __metadata("design:type", brand_entity_1.BrandEntity)
], PostEntity.prototype, "brand", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => restaurant_entity_1.RestaurantEntity, (restaurant) => restaurant.restaurant_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: "restaurant_id",
    }),
    __metadata("design:type", restaurant_entity_1.RestaurantEntity)
], PostEntity.prototype, "restaurant", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "float",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "average_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "post_type", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "bigint",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "target_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "text",
        nullable: true,
    }),
    __metadata("design:type", String)
], PostEntity.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "text",
        nullable: true,
    }),
    __metadata("design:type", String)
], PostEntity.prototype, "content", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "text",
        default: JSON.stringify([]),
        nullable: false,
    }),
    __metadata("design:type", Object)
], PostEntity.prototype, "medias", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "float",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "food_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "float",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "price_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "float",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "spatial_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "float",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "hygiene_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "float",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "service_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "text",
        default: JSON.stringify([]),
        nullable: false,
    }),
    __metadata("design:type", Object)
], PostEntity.prototype, "tag", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "no_of_comment", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "no_of_love", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "no_of_wow", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "value", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "action_level", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "no_of_sad", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "no_of_angry", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "no_of_value", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "no_of_nothing", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "no_of_share", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "is_share", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => PostEntity_1, (post) => post.post_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: "post_share_id",
    }),
    __metadata("design:type", PostEntity)
], PostEntity.prototype, "post_share", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "view", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "is_detect", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "is_avatar_post", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "int",
        default: 1,
        nullable: false,
    }),
    __metadata("design:type", Number)
], PostEntity.prototype, "target_status", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "bigint",
        default: [],
        array: true,
    }),
    __metadata("design:type", Array)
], PostEntity.prototype, "card_tag", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: "text",
        default: JSON.stringify({
            description: "",
            logo: "",
            title: "",
            domain: "",
        }),
        nullable: true,
    }),
    __metadata("design:type", Object)
], PostEntity.prototype, "thumbnail", void 0);
PostEntity = PostEntity_1 = __decorate([
    (0, typeorm_1.Entity)("post")
], PostEntity);
exports.PostEntity = PostEntity;
//# sourceMappingURL=post.entity.js.map