import { BaseEntity, Column, CreateDateColumn, UpdateDateColumn, ValueTransformer } from 'typeorm';
import * as moment from 'moment';

class CustomTimeTransformer implements ValueTransformer {
  to(): any {
    return moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss.SSSSSS');
  }

  from(value: any): any {
    return value;
  }
}

class CustomTimeTransformerTest implements ValueTransformer {
  to(): any {
    return moment().utcOffset(0).format('X');
  }

  from(value: any): any {
    return value;
  }
}

export class BaseModel extends BaseEntity {
  @CreateDateColumn({
    type: 'varchar',
    length: 100,
    transformer: new CustomTimeTransformer(),
  })
  created_at: string;

  @UpdateDateColumn({
    type: 'varchar',
    length: 100,
    transformer: new CustomTimeTransformer(),
  })
  updated_at: string;

  @Column({
    type: 'varchar',
    length: 100,
    transformer: new CustomTimeTransformerTest(),
  })
  timestamp: string;
}
