import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { UserEntity } from './user.entity';
import { BrandEntity } from './brand.entity';

@Entity('conversation_system')
export class ConversationSystemEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  conversation_system_id: string;

  @ManyToOne(() => UserEntity, (user) => user.user_id)
  @JoinColumn({
    name: 'user_id',
  })
  user: UserEntity;

  @ManyToOne(() => BrandEntity, (brand) => brand.brand_id, {
    nullable: true,
  })
  @JoinColumn({
    name: 'brand_id',
  })
  brand: BrandEntity;

  @Column({
    type: 'varchar',
    default: '',
  })
  name: string;

  @Column({
    type: 'json',
    default: {},
  })
  avatar: any;
}
