import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { BrandEntity } from './brand.entity';

@Entity('message_promotion_brand')
export class MessagePromotionBrandEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  message_id: string;

  @ManyToOne(() => BrandEntity, (brand) => brand.brand_id)
  @JoinColumn({
    name: 'brand_id',
  })
  brand: BrandEntity;

  @Column({
    type: 'varchar',
    default: '',
  })
  cover: string;

  @Column({
    type: 'varchar',
    default: '',
  })
  title: string;

  @Column({
    type: 'text',
    default: '',
  })
  description: string;
}
