import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { ShortVideoCommentEntity } from './short-video-comment.entity';
import { UserEntity } from './user.entity';

@Entity('short_video_comment_reaction')
export class ShortVideoCommentReactionEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  short_video_comment_reaction_id: string;

  @ManyToOne(() => ShortVideoCommentEntity, (short_video_comment) => short_video_comment.short_video_comment_id)
  @JoinColumn({
    name: 'short_video_comment_id',
  })
  short_video_comment: ShortVideoCommentEntity;

  @ManyToOne(() => UserEntity, (user) => user.user_id)
  @JoinColumn({
    name: 'user_id',
  })
  user: UserEntity;

  @Column({
    type: 'smallint',
  })
  type: number;
}
