import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { ShortVideoEntity } from './short-video.entity';
import { UserEntity } from './user.entity';

@Entity('short_video_comment')
export class ShortVideoCommentEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  short_video_comment_id: string;

  @ManyToOne(() => ShortVideoEntity, (short_video) => short_video.short_video_id)
  @JoinColumn({
    name: 'short_video_id',
  })
  short_video: ShortVideoEntity;

  @ManyToOne(() => UserEntity, (user) => user.user_id)
  @JoinColumn({
    name: 'user_id',
  })
  user: UserEntity;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  parent_id: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_pinned: number;

  @Column({
    type: 'simple-json',
    default: {},
  })
  sticker: any;

  @Column({
    type: 'text',
    default: '',
  })
  message: string;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_like: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_love: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_wow: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_sad: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_nothing: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_angry: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_reaction: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_reply: number;

  @Column({
    type: 'smallint',
    default: 1,
  })
  status: number;
}
