import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { UserEntity } from './user.entity';
import { ShortVideoEntity } from './short-video.entity';

@Entity('short_video_reaction')
export class ShortVideoReactionEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  short_video_reaction_id: string;

  @ManyToOne(() => ShortVideoEntity, (short_video) => short_video.short_video_id)
  @JoinColumn({
    name: 'short_video_id',
  })
  short_video: ShortVideoEntity;

  @ManyToOne(() => UserEntity, (user) => user.user_id)
  @JoinColumn({
    name: 'user_id',
  })
  user: UserEntity;

  @Column({
    type: 'smallint',
  })
  type: number;
}
