import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { UserEntity } from './user.entity';

@Entity('short_video')
export class ShortVideoEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  short_video_id: string;

  @ManyToOne(() => UserEntity, (user) => user.user_id)
  @JoinColumn({
    name: 'user_id',
  })
  user: UserEntity;

  @Column({
    type: 'jsonb',
    default: [],
  })
  media: any;

  @Column({
    type: 'bigint',
    array: true,
    default: [],
  })
  card_tag: string[];

  @Column({
    type: 'text',
    default: '',
  })
  title: string;

  @Column({
    type: 'int',
    default: 0,
  })
  view: number;

  @Column({
    type: 'text',
    default: '',
  })
  song: string;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_like: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_dislike: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_comment: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_share: number;

  @Column({
    type: 'smallint',
    default: 1,
  })
  status: number;
}
